EdithProDOCS
API v1 ▾Dashboard
REST API/SCREENSHOTS

Upload a screenshot

Upload an image and get a share link.

On this page
Language
POSThttps://api.edithpro.app/v1/screenshots

Form fields #

NameTypeDescription
filefile · requiredPNG, JPG or WebP.
titlestringDefaults to the file name.
folder_idstringWhere to put it.
descriptionstringOptional note.

Request #

curl -X POST "https://api.edithpro.app/v1/screenshots" \  -H "Authorization: Bearer $EDITHPRO_API_KEY" \  -F "file=@checkout.png" \  -F "title=Checkout total"

Response #

Response · 201 Created · example
{  "id": "shot_4hd9a",  "object": "screenshot",  "title": "Checkout total",  "width": 1440,  "height": 900,  "url": "https://edithpro.app/s/4hd9a",  "image_url": "https://cdn.edithpro.app/s/4hd9a.png",  "folder_id": null,  "created_at": "2026-10-09T12:20:41Z"}
Was this page helpful? REST API v1 draft · Edit this page